autoweka

## Class ListExperimentConstructor

- java.lang.Object
- - autoweka.ListExperimentConstructor

- Direct Known Subclasses:
    DefaultsExperimentConstructor, GridSearchExperimentConstructor

      public abstract class ListExperimentConstructor
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.ArrayList<ClassParams>` | `mClassifierParams`
    `protected autoweka.ListExperiment` | `mExperiment`
    `protected java.lang.String` | `mExperimentPath`
    `protected boolean` | `mIncludeBase`
    `protected boolean` | `mIncludeEnsemble`
    `protected boolean` | `mIncludeMeta`
    `protected InstanceGenerator` | `mInstanceGenerator`
    `protected java.lang.String` | `mParamBaseDir`
    `protected java.util.Properties` | `mProperties`
    `protected java.util.ArrayList<Experiment.TrajectoryPointExtra>` | `mTrajectoryPointExtras`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListExperimentConstructor()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `addArgStrings()`
    `static void` | `buildSingle(java.lang.String builderClassName, autoweka.ListExperiment exp, java.util.List<java.lang.String> args)`
    `static void` | `generateBatches(java.lang.String xmlFileName)`
    `protected void` | `loadClassifiers()`
    `static void` | `main(java.lang.String[] args)`
    `protected void` | `processArg(java.lang.String arg, java.util.Queue<java.lang.String> args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mParamBaseDir

          protected java.lang.String mParamBaseDir

    - #### mClassifierParams

          protected java.util.ArrayList<ClassParams> mClassifierParams

    - #### mTrajectoryPointExtras

          protected java.util.ArrayList<Experiment.TrajectoryPointExtra> mTrajectoryPointExtras

    - #### mIncludeBase

          protected boolean mIncludeBase

    - #### mIncludeMeta

          protected boolean mIncludeMeta

    - #### mIncludeEnsemble

          protected boolean mIncludeEnsemble

    - #### mExperimentPath

          protected java.lang.String mExperimentPath

    - #### mExperiment

          protected autoweka.ListExperiment mExperiment

    - #### mProperties

          protected java.util.Properties mProperties

    - #### mInstanceGenerator

          protected InstanceGenerator mInstanceGenerator

  - ### Constructor Detail

    - #### ListExperimentConstructor

          public ListExperimentConstructor()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

    - #### generateBatches

          public static void generateBatches(java.lang.String xmlFileName)

    - #### buildSingle

          public static void buildSingle(java.lang.String builderClassName,
                                         autoweka.ListExperiment exp,
                                         java.util.List<java.lang.String> args)

    - #### processArg

          protected void processArg(java.lang.String arg,
                                    java.util.Queue<java.lang.String> args)

    - #### addArgStrings

          protected abstract void addArgStrings()

    - #### loadClassifiers

          protected void loadClassifiers()